package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailFileInfoDO;
import com.simuwang.base.pojo.dto.query.EmailFileQuery;
import com.simuwang.base.pojo.dto.query.FundFilePageQuery;
import com.simuwang.base.pojo.vo.EmailParseDetailVO;
import com.simuwang.base.pojo.vo.FundFileInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface EmailFileInfoMapper {

    Integer insert(@Param("itemDo") EmailFileInfoDO emailFileInfoDO);

    EmailFileInfoDO getEmailFileById(@Param("id") Integer fileId);

    List<EmailFileInfoDO> queryByEmailId(@Param("emailId") Integer emailId);

    List<FundFileInfoVO> searchFundFileInfo(FundFilePageQuery fundFilePageQuery);

    List<EmailParseDetailVO> searchEmailDetailById(EmailFileQuery emailFileQuery);

    long countFundFileInfo(FundFilePageQuery fundFilePageQuery);

    long countEmailDetailById(EmailFileQuery emailFileQuery);

    void updateTimeById(@Param("id") Integer fileId, @Param("parseDate") Date parseDate);

    List<Integer> selectValuationFileId(@Param("fileIdList") List<Integer> fileIdList);
}
